
/*---------------------------------------------------------------------------

    getlog.c -- return the username of the process.

    Written By: S.E. Norris

    Usage:
 
       character*LEN username
       external getlog
 
       call getlog( username )

    $RCSfile: getlog.c,v $
    $Author: norris $
    $Revision: 1.5 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: getlog.c,v $
    Revision 1.5  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.4  1996/04/01 05:48:41  norris
    Corrected the calling sequence in the comments.

    Revision 1.3  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.2  1996/03/27  09:09:37  norris
    Updated to cleaner C.

  ---------------------------------------------------------------------------*/
 
#include <stdlib.h>
#include "libU77.h"

subroutine getlog_(char *name, ftnlen len)
{
  char *l = getlogin();

  fcopyout(name, l?l:" ", len);
}
