
/*---------------------------------------------------------------------------

    iargc.c -- returns the number of command line arguments. 

               Please Note: This function is very implimentation 
               specific, and is not guaranteed to work.

    Written By: S.E. Norris

    Usage:
      integer  narg
      integer  iargc  ! external function.
      external iargc

      narg = iargc()

    $RCSfile: iargc.c,v $
    $Author: norris $
    $Revision: 1.3 $
    $Date: 1996/11/10 00:58:38 $
 
    $Log: iargc.c,v $
    Revision 1.3  1996/11/10 00:58:38  norris
    Modified so compatable with the NAG F90 compiler.

    Revision 1.2  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.1  1996/03/29  00:48:08  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include "libU77.h"

#ifdef NAG_F90
extern int f90_argc;
#else
extern int xargc;
#endif

integer iargc_()
{
#ifdef NAG_F90
  return ((integer) (f90_argc - 1));
#else
  return ((integer) (xargc - 1));
#endif
}
