
/*---------------------------------------------------------------------------

    qsort.c -- quick sort interface.

    Written By: S.E. Norris

    Usage:
       *         array(*) ! array of data
       integer   len      ! size of array
       integer   isize    ! length of elements of array()
       integer*2 comp     ! function that compares two elements
       external  comp

       call qsort (array, len, isize, comp)

    $RCSfile: qsort.c,v $
    $Author: norris $
    $Revision: 1.3 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: qsort.c,v $
    Revision 1.3  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.2  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.1  1996/03/27  10:21:01  norris
    Initial revision

  ---------------------------------------------------------------------------*/

extern int errno; 

#include <stdlib.h>
#include "libU77.h"

subroutine qsort_(integer *array, integer *len, integer *isize, int (*compar)())
{
  qsort(array, (int)*len, (int)*isize, compar);
}
