
/*---------------------------------------------------------------------------

    loc() -- returns the address of an object

    Written By: S.E. Norris

    Usage:

       integer  location
       integer  loc
       real     array(10)
       external loc

       location = loc(array(1))

    $RCSfile: loc.c,v $
    $Author: norris $
    $Revision: 1.4 $
    $Date: 1996/03/31 23:40:04 $
 
    $Log: loc.c,v $
    Revision 1.4  1996/03/31 23:40:04  norris
    Changed the memory address pointers to long from int.

    Revision 1.3  1996/03/29  05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.2  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.1  1996/03/26  00:58:32  norris
    Initial revision

 ---------------------------------------------------------------------------*/

#include "libU77.h"

pointer loc_(char *arg)
{
  return((pointer) arg);
}
