
/*---------------------------------------------------------------------------

    sleep() -- suspend execution for an interval

    Written By: S.E Norris

    Usage:

       integer  itime
       external sleep

       call sleep(itime)

    $RCSfile: sleep.c,v $
    $Author: norris $
    $Revision: 1.4 $
    $Date: 1996/11/28 12:00:26 $
 
    $Log: sleep.c,v $
    Revision 1.4  1996/11/28 12:00:26  norris
    General clean up of the code.

    Revision 1.3  1996/03/29 05:37:00  norris
    Removed macro type object names. Cleaned up header files.

    Revision 1.2  1996/03/28  00:31:30  norris
    Added a trailing underscore to the function name.

    Revision 1.1  1996/03/26  00:36:48  norris
    Initial revision

  ---------------------------------------------------------------------------*/

#include <unistd.h>
#include "libU77.h"

subroutine sleep_(integer *arg)
{
  (void) sleep((unsigned int) *arg);
}
